Loading...
Searching...
No Matches
RasterCamera Class Reference

A camera class that provides an interface for camera motion blur when rasterizing. More...

`#include <openvdb/points/PointRasterizeFrustum.h>`

## Public Member Functions

| RasterCamera (const math::Transform &transform)
bool | isStatic () const
void | clear ()
void | appendTransform (const math::Transform &, float weight=1.0f)
size_t | size () const
void | simplify ()
bool | hasWeight (Index i) const
float | weight (Index i) const
const math::Transform & | transform (Index i) const
const math::Transform & | firstTransform () const
const math::Transform & | lastTransform () const
void | setShutter (float start, float end)
float | shutterStart () const
float | shutterEnd () const

## Detailed Description

A camera class that provides an interface for camera motion blur when rasterizing.

## Constructor & Destructor Documentation

## RasterCamera()

RasterCamera | ( | const math::Transform & | transform | ) |

explicit

## Member Function Documentation

## appendTransform()

void appendTransform | ( | const math::Transform & | transform,
|  | float | weight = 1.0f )

## clear()

void clear | ( |  | ) |

## firstTransform()

const math::Transform & firstTransform | ( |  | ) | const

## hasWeight()

bool hasWeight | ( | Index | i | ) | const

## isStatic()

bool isStatic | ( |  | ) | const

## lastTransform()

const math::Transform & lastTransform | ( |  | ) | const

## setShutter()

void setShutter | ( | float | start,
|  | float | end )

## shutterEnd()

float shutterEnd | ( |  | ) | const

## shutterStart()

float shutterStart | ( |  | ) | const

## simplify()

void simplify | ( |  | ) |

## size()

size_t size | ( |  | ) | const

## transform()

const math::Transform & transform | ( | Index | i | ) | const

## weight()

float weight | ( | Index | i | ) | const